AppBoard2Buttons.h File Reference

Read state of buttons. More...

`#include "GPIO_LPC17xx.h"`
`#include "PIN_LPC17xx.h"`
`#include "LPC17xx.h"`
Include dependency graph for AppBoard2Buttons.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | APPBOARD2_NUMBER_BUTTONS (8U)
#define | BUTTON_T0 (1U<<0)
#define | BUTTON_T1 (1U<<1)
#define | BUTTON_T2 (1U<<2)
#define | BUTTON_T3 (1U<<3)
#define | BUTTON_T4 (1U<<4)
#define | BUTTON_T5 (1U<<5)
#define | BUTTON_T6 (1U<<6)
#define | BUTTON_T7 (1U<<7)
#define | APPBOARD2_MASK_BUTTONS (0x000000FFU)
#define | LPC_GPIO_PORT(n) ((LPC_GPIO_TypeDef*)(LPC_GPIO0_BASE + (0x00000020*(n))))

## Functions

void | vAppboard2ButtonsInitialize (void)
| Initialization of all buttons of Application Board 2. More...
void | vAppboard2ButtonsUninitialize (void)
| Uninitialization of all buttons of Application Board 2. More...
uint32_t | u32AppBoard2ButtonsGetState (void)
| Returns the pressed Buttons (bit coded see AppBoard2Buttons.h) More...

## Detailed Description

Read state of buttons.

Author
  Daniel Fischer (V5.0) - Heinrich Ginter (V1.0)

Version
  V5.0

Date
  20.10.2019

This file defines important button definitions, which are used for the button functions of application board 2

## Macro Definition Documentation

## APPBOARD2_MASK_BUTTONS

#define APPBOARD2_MASK_BUTTONS (0x000000FFU)

## APPBOARD2_NUMBER_BUTTONS

#define APPBOARD2_NUMBER_BUTTONS (8U)

## BUTTON_T0

#define BUTTON_T0 (1U<<0)

## BUTTON_T1

#define BUTTON_T1 (1U<<1)

## BUTTON_T2

#define BUTTON_T2 (1U<<2)

## BUTTON_T3

#define BUTTON_T3 (1U<<3)

## BUTTON_T4

#define BUTTON_T4 (1U<<4)

## BUTTON_T5

#define BUTTON_T5 (1U<<5)

## BUTTON_T6

#define BUTTON_T6 (1U<<6)

## BUTTON_T7

#define BUTTON_T7 (1U<<7)

## LPC_GPIO_PORT

#define LPC_GPIO_PORT | ( |  | n | ) | ((LPC_GPIO_TypeDef*)(LPC_GPIO0_BASE + (0x00000020*(n))))

## Function Documentation

## u32AppBoard2ButtonsGetState()

uint32_t u32AppBoard2ButtonsGetState | ( | void |  | ) |

Returns the pressed Buttons (bit coded see AppBoard2Buttons.h)

Author
  Daniel Fischer (V5.0) - Heinrich Ginter (V1.0)

Version
  V5.0

Date
  20.10.2019

Parameters

  no |

Returns
  uint32_t u32PressedButton

After a pressed button is recognized, the button gets debounced and returned

Here is the call graph for this function:
Here is the caller graph for this function:

## vAppboard2ButtonsInitialize()

void vAppboard2ButtonsInitialize | ( | void |  | ) |

Initialization of all buttons of Application Board 2.

Author
  Daniel Fischer (V5.0) - Heinrich Ginter (V1.0)

Version
  V5.0

Date
  20.10.2019

Parameters

  void |

Returns
  void

Here is the caller graph for this function:

## vAppboard2ButtonsUninitialize()

void vAppboard2ButtonsUninitialize | ( | void |  | ) |

Uninitialization of all buttons of Application Board 2.

Author
  Daniel Fischer (V5.0)

Version
  V5.0

Date
  20.10.2019

Parameters

  void |

Returns
  void